Package com.omnisci.thrift.server

## Class OmniSci.AsyncClient

- java.lang.Object
- - org.apache.thrift.async.TAsyncClient
  - - com.omnisci.thrift.server.OmniSci.AsyncClient

All Implemented Interfaces:
  `OmniSci.AsyncIface`

Enclosing class:
  OmniSci

    public static class OmniSci.AsyncClient
    extends org.apache.thrift.async.TAsyncClient
    implements OmniSci.AsyncIface

### Nested Class Summary

Nested Classes
`static class` `OmniSci.AsyncClient.broadcast_serialized_rows_call`
`static class` `OmniSci.AsyncClient.check_table_consistency_call`
`static class` `OmniSci.AsyncClient.checkpoint_call`
`static class` `OmniSci.AsyncClient.clear_cpu_memory_call`
`static class` `OmniSci.AsyncClient.clear_gpu_memory_call`
`static class` `OmniSci.AsyncClient.clone_session_call`
`static class` `OmniSci.AsyncClient.connect_call`
`static class` `OmniSci.AsyncClient.create_dashboard_call`
`static class` `OmniSci.AsyncClient.create_link_call`
`static class` `OmniSci.AsyncClient.create_table_call`
`static class` `OmniSci.AsyncClient.deallocate_df_call`
`static class` `OmniSci.AsyncClient.delete_dashboard_call`
`static class` `OmniSci.AsyncClient.delete_dashboards_call`
`static class` `OmniSci.AsyncClient.detect_column_types_call`
`static class` `OmniSci.AsyncClient.disconnect_call`
`static class` `OmniSci.AsyncClient.execute_next_render_step_call`
`static class` `OmniSci.AsyncClient.execute_query_step_call`
`static class` `OmniSci.AsyncClient.Factory`
`static class` `OmniSci.AsyncClient.get_all_files_in_archive_call`
`static class` `OmniSci.AsyncClient.get_all_roles_for_user_call`
`static class` `OmniSci.AsyncClient.get_completion_hints_call`
`static class` `OmniSci.AsyncClient.get_dashboard_call`
`static class` `OmniSci.AsyncClient.get_dashboard_grantees_call`
`static class` `OmniSci.AsyncClient.get_dashboards_call`
`static class` `OmniSci.AsyncClient.get_databases_call`
`static class` `OmniSci.AsyncClient.get_db_object_privs_call`
`static class` `OmniSci.AsyncClient.get_db_objects_for_grantee_call`
`static class` `OmniSci.AsyncClient.get_device_parameters_call`
`static class` `OmniSci.AsyncClient.get_first_geo_file_in_archive_call`
`static class` `OmniSci.AsyncClient.get_hardware_info_call`
`static class` `OmniSci.AsyncClient.get_heap_profile_call`
`static class` `OmniSci.AsyncClient.get_internal_table_details_call`
`static class` `OmniSci.AsyncClient.get_layers_in_geo_file_call`
`static class` `OmniSci.AsyncClient.get_license_claims_call`
`static class` `OmniSci.AsyncClient.get_link_view_call`
`static class` `OmniSci.AsyncClient.get_memory_call`
`static class` `OmniSci.AsyncClient.get_physical_tables_call`
`static class` `OmniSci.AsyncClient.get_result_row_for_pixel_call`
`static class` `OmniSci.AsyncClient.get_roles_call`
`static class` `OmniSci.AsyncClient.get_server_status_call`
`static class` `OmniSci.AsyncClient.get_session_info_call`
`static class` `OmniSci.AsyncClient.get_status_call`
`static class` `OmniSci.AsyncClient.get_table_details_call`
`static class` `OmniSci.AsyncClient.get_table_epoch_by_name_call`
`static class` `OmniSci.AsyncClient.get_table_epoch_call`
`static class` `OmniSci.AsyncClient.get_tables_call`
`static class` `OmniSci.AsyncClient.get_tables_meta_call`
`static class` `OmniSci.AsyncClient.get_users_call`
`static class` `OmniSci.AsyncClient.get_version_call`
`static class` `OmniSci.AsyncClient.get_views_call`
`static class` `OmniSci.AsyncClient.has_object_privilege_call`
`static class` `OmniSci.AsyncClient.has_role_call`
`static class` `OmniSci.AsyncClient.import_geo_table_call`
`static class` `OmniSci.AsyncClient.import_table_call`
`static class` `OmniSci.AsyncClient.import_table_status_call`
`static class` `OmniSci.AsyncClient.insert_data_call`
`static class` `OmniSci.AsyncClient.interrupt_call`
`static class` `OmniSci.AsyncClient.krb5_connect_call`
`static class` `OmniSci.AsyncClient.load_table_binary_arrow_call`
`static class` `OmniSci.AsyncClient.load_table_binary_call`
`static class` `OmniSci.AsyncClient.load_table_binary_columnar_call`
`static class` `OmniSci.AsyncClient.load_table_call`
`static class` `OmniSci.AsyncClient.query_get_outer_fragment_count_call`
`static class` `OmniSci.AsyncClient.register_runtime_extension_functions_call`
`static class` `OmniSci.AsyncClient.render_vega_call`
`static class` `OmniSci.AsyncClient.replace_dashboard_call`
`static class` `OmniSci.AsyncClient.set_execution_mode_call`
`static class` `OmniSci.AsyncClient.set_license_key_call`
`static class` `OmniSci.AsyncClient.set_table_epoch_by_name_call`
`static class` `OmniSci.AsyncClient.set_table_epoch_call`
`static class` `OmniSci.AsyncClient.share_dashboard_call`
`static class` `OmniSci.AsyncClient.share_dashboards_call`
`static class` `OmniSci.AsyncClient.sql_execute_call`
`static class` `OmniSci.AsyncClient.sql_execute_df_call`
`static class` `OmniSci.AsyncClient.sql_execute_gdf_call`
`static class` `OmniSci.AsyncClient.sql_validate_call`
`static class` `OmniSci.AsyncClient.start_heap_profile_call`
`static class` `OmniSci.AsyncClient.start_query_call`
`static class` `OmniSci.AsyncClient.start_render_query_call`
`static class` `OmniSci.AsyncClient.stop_heap_profile_call`
`static class` `OmniSci.AsyncClient.switch_database_call`
`static class` `OmniSci.AsyncClient.unshare_dashboard_call`
`static class` `OmniSci.AsyncClient.unshare_dashboards_call`

### Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncClient

`___currentMethod, ___manager, ___protocolFactory, ___transport`

### Constructor Summary

Constructors
`AsyncClient​(org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.transport.TNonblockingTransport transport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `broadcast_serialized_rows​(TSerializedRows serialized_rows, List<TColumnType> row_desc, long query_id, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `check_table_consistency​(String session, int table_id, org.apache.thrift.async.AsyncMethodCallback<TTableMeta> resultHandler)`
`void` `checkpoint​(String session, int db_id, int table_id, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `clear_cpu_memory​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `clear_gpu_memory​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `clone_session​(String session, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `connect​(String user, String passwd, String dbname, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `create_dashboard​(String session, String dashboard_name, String dashboard_state, String image_hash, String dashboard_metadata, org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
`void` `create_link​(String session, String view_state, String view_metadata, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `create_table​(String session, String table_name, List<TColumnType> row_desc, TFileType file_type, TCreateParams create_params, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `deallocate_df​(String session, TDataFrame df, TDeviceType device_type, int device_id, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `delete_dashboard​(String session, int dashboard_id, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `delete_dashboards​(String session, List<Integer> dashboard_ids, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `detect_column_types​(String session, String file_name, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<TDetectResult> resultHandler)`
`void` `disconnect​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `execute_next_render_step​(TPendingRenderQuery pending_render, Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data, org.apache.thrift.async.AsyncMethodCallback<TRenderStepResult> resultHandler)`
`void` `execute_query_step​(TPendingQuery pending_query, org.apache.thrift.async.AsyncMethodCallback<TStepResult> resultHandler)`
`void` `get_all_files_in_archive​(String session, String archive_path, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_all_roles_for_user​(String session, String userName, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_completion_hints​(String session, String sql, int cursor, org.apache.thrift.async.AsyncMethodCallback<List<TCompletionHint>> resultHandler)`
`void` `get_dashboard​(String session, int dashboard_id, org.apache.thrift.async.AsyncMethodCallback<TDashboard> resultHandler)`
`void` `get_dashboard_grantees​(String session, int dashboard_id, org.apache.thrift.async.AsyncMethodCallback<List<TDashboardGrantees>> resultHandler)`
`void` `get_dashboards​(String session, org.apache.thrift.async.AsyncMethodCallback<List<TDashboard>> resultHandler)`
`void` `get_databases​(String session, org.apache.thrift.async.AsyncMethodCallback<List<TDBInfo>> resultHandler)`
`void` `get_db_object_privs​(String session, String objectName, TDBObjectType type, org.apache.thrift.async.AsyncMethodCallback<List<TDBObject>> resultHandler)`
`void` `get_db_objects_for_grantee​(String session, String roleName, org.apache.thrift.async.AsyncMethodCallback<List<TDBObject>> resultHandler)`
`void` `get_device_parameters​(String session, org.apache.thrift.async.AsyncMethodCallback<Map<String,​String>> resultHandler)`
`void` `get_first_geo_file_in_archive​(String session, String archive_path, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `get_hardware_info​(String session, org.apache.thrift.async.AsyncMethodCallback<TClusterHardwareInfo> resultHandler)`
`void` `get_heap_profile​(String session, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `get_internal_table_details​(String session, String table_name, org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler)`
`void` `get_layers_in_geo_file​(String session, String file_name, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<List<TGeoFileLayerInfo>> resultHandler)`
`void` `get_license_claims​(String session, String nonce, org.apache.thrift.async.AsyncMethodCallback<TLicenseInfo> resultHandler)`
`void` `get_link_view​(String session, String link, org.apache.thrift.async.AsyncMethodCallback<TFrontendView> resultHandler)`
`void` `get_memory​(String session, String memory_level, org.apache.thrift.async.AsyncMethodCallback<List<TNodeMemoryInfo>> resultHandler)`
`void` `get_physical_tables​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_result_row_for_pixel​(String session, long widget_id, TPixel pixel, Map<String,​List<String>> table_col_names, boolean column_format, int pixelRadius, String nonce, org.apache.thrift.async.AsyncMethodCallback<TPixelTableRowResult> resultHandler)`
`void` `get_roles​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_server_status​(String session, org.apache.thrift.async.AsyncMethodCallback<TServerStatus> resultHandler)`
`void` `get_session_info​(String session, org.apache.thrift.async.AsyncMethodCallback<TSessionInfo> resultHandler)`
`void` `get_status​(String session, org.apache.thrift.async.AsyncMethodCallback<List<TServerStatus>> resultHandler)`
`void` `get_table_details​(String session, String table_name, org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler)`
`void` `get_table_epoch​(String session, int db_id, int table_id, org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
`void` `get_table_epoch_by_name​(String session, String table_name, org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
`void` `get_tables​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_tables_meta​(String session, org.apache.thrift.async.AsyncMethodCallback<List<TTableMeta>> resultHandler)`
`void` `get_users​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_version​(org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `get_views​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `has_object_privilege​(String session, String granteeName, String ObjectName, TDBObjectType objectType, TDBObjectPermissions permissions, org.apache.thrift.async.AsyncMethodCallback<Boolean> resultHandler)`
`void` `has_role​(String session, String granteeName, String roleName, org.apache.thrift.async.AsyncMethodCallback<Boolean> resultHandler)`
`void` `import_geo_table​(String session, String table_name, String file_name, TCopyParams copy_params, List<TColumnType> row_desc, TCreateParams create_params, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `import_table​(String session, String table_name, String file_name, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `import_table_status​(String session, String import_id, org.apache.thrift.async.AsyncMethodCallback<TImportStatus> resultHandler)`
`void` `insert_data​(String session, TInsertData insert_data, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `interrupt​(String query_session, String interrupt_session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `krb5_connect​(String inputToken, String dbname, org.apache.thrift.async.AsyncMethodCallback<TKrb5Session> resultHandler)`
`void` `load_table​(String session, String table_name, List<TStringRow> rows, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `load_table_binary​(String session, String table_name, List<TRow> rows, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `load_table_binary_arrow​(String session, String table_name, ByteBuffer arrow_stream, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `load_table_binary_columnar​(String session, String table_name, List<TColumn> cols, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `query_get_outer_fragment_count​(String session, String query, org.apache.thrift.async.AsyncMethodCallback<Long> resultHandler)`
`void` `register_runtime_extension_functions​(String session, List<TUserDefinedFunction> udfs, List<TUserDefinedTableFunction> udtfs, Map<String,​String> device_ir_map, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `render_vega​(String session, long widget_id, String vega_json, int compression_level, String nonce, org.apache.thrift.async.AsyncMethodCallback<TRenderResult> resultHandler)`
`void` `replace_dashboard​(String session, int dashboard_id, String dashboard_name, String dashboard_owner, String dashboard_state, String image_hash, String dashboard_metadata, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `set_execution_mode​(String session, TExecuteMode mode, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `set_license_key​(String session, String key, String nonce, org.apache.thrift.async.AsyncMethodCallback<TLicenseInfo> resultHandler)`
`void` `set_table_epoch​(String session, int db_id, int table_id, int new_epoch, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `set_table_epoch_by_name​(String session, String table_name, int new_epoch, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `share_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions, boolean grant_role, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `share_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `sql_execute​(String session, String query, boolean column_format, String nonce, int first_n, int at_most_n, org.apache.thrift.async.AsyncMethodCallback<TQueryResult> resultHandler)`
`void` `sql_execute_df​(String session, String query, TDeviceType device_type, int device_id, int first_n, org.apache.thrift.async.AsyncMethodCallback<TDataFrame> resultHandler)`
`void` `sql_execute_gdf​(String session, String query, int device_id, int first_n, org.apache.thrift.async.AsyncMethodCallback<TDataFrame> resultHandler)`
`void` `sql_validate​(String session, String query, org.apache.thrift.async.AsyncMethodCallback<List<TColumnType>> resultHandler)`
`void` `start_heap_profile​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `start_query​(String leaf_session, String parent_session, String query_ra, boolean just_explain, List<Long> outer_fragment_indices, org.apache.thrift.async.AsyncMethodCallback<TPendingQuery> resultHandler)`
`void` `start_render_query​(String session, long widget_id, short node_idx, String vega_json, org.apache.thrift.async.AsyncMethodCallback<TPendingRenderQuery> resultHandler)`
`void` `stop_heap_profile​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `switch_database​(String session, String dbname, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `unshare_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `unshare_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`

### Methods inherited from class org.apache.thrift.async.TAsyncClient

`checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncClient

    public AsyncClient​(org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                       org.apache.thrift.async.TAsyncClientManager clientManager,
                       org.apache.thrift.transport.TNonblockingTransport transport)

### Method Detail

#### connect

    public void connect​(String user,
                        String passwd,
                        String dbname,
                        org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
                 throws org.apache.thrift.TException

Specified by:
  `connect` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### krb5_connect

    public void krb5_connect​(String inputToken,
                             String dbname,
                             org.apache.thrift.async.AsyncMethodCallback<TKrb5Session> resultHandler)
                      throws org.apache.thrift.TException

Specified by:
  `krb5_connect` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### disconnect

    public void disconnect​(String session,
                           org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                    throws org.apache.thrift.TException

Specified by:
  `disconnect` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### switch_database

    public void switch_database​(String session,
                                String dbname,
                                org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                         throws org.apache.thrift.TException

Specified by:
  `switch_database` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### clone_session

    public void clone_session​(String session,
                              org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
                       throws org.apache.thrift.TException

Specified by:
  `clone_session` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_server_status

    public void get_server_status​(String session,
                                  org.apache.thrift.async.AsyncMethodCallback<TServerStatus> resultHandler)
                           throws org.apache.thrift.TException

Specified by:
  `get_server_status` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_status

    public void get_status​(String session,
                           org.apache.thrift.async.AsyncMethodCallback<List<TServerStatus>> resultHandler)
                    throws org.apache.thrift.TException

Specified by:
  `get_status` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_hardware_info

    public void get_hardware_info​(String session,
                                  org.apache.thrift.async.AsyncMethodCallback<TClusterHardwareInfo> resultHandler)
                           throws org.apache.thrift.TException

Specified by:
  `get_hardware_info` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_tables

    public void get_tables​(String session,
                           org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                    throws org.apache.thrift.TException

Specified by:
  `get_tables` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_physical_tables

    public void get_physical_tables​(String session,
                                    org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                             throws org.apache.thrift.TException

Specified by:
  `get_physical_tables` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_views

    public void get_views​(String session,
                          org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                   throws org.apache.thrift.TException

Specified by:
  `get_views` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_tables_meta

    public void get_tables_meta​(String session,
                                org.apache.thrift.async.AsyncMethodCallback<List<TTableMeta>> resultHandler)
                         throws org.apache.thrift.TException

Specified by:
  `get_tables_meta` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_table_details

    public void get_table_details​(String session,
                                  String table_name,
                                  org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler)
                           throws org.apache.thrift.TException

Specified by:
  `get_table_details` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_internal_table_details

    public void get_internal_table_details​(String session,
                                           String table_name,
                                           org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler)
                                    throws org.apache.thrift.TException

Specified by:
  `get_internal_table_details` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_users

    public void get_users​(String session,
                          org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                   throws org.apache.thrift.TException

Specified by:
  `get_users` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_databases

    public void get_databases​(String session,
                              org.apache.thrift.async.AsyncMethodCallback<List<TDBInfo>> resultHandler)
                       throws org.apache.thrift.TException

Specified by:
  `get_databases` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_version

    public void get_version​(org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
                     throws org.apache.thrift.TException

Specified by:
  `get_version` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### start_heap_profile

    public void start_heap_profile​(String session,
                                   org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                            throws org.apache.thrift.TException

Specified by:
  `start_heap_profile` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### stop_heap_profile

    public void stop_heap_profile​(String session,
                                  org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                           throws org.apache.thrift.TException

Specified by:
  `stop_heap_profile` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_heap_profile

    public void get_heap_profile​(String session,
                                 org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
                          throws org.apache.thrift.TException

Specified by:
  `get_heap_profile` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_memory

    public void get_memory​(String session,
                           String memory_level,
                           org.apache.thrift.async.AsyncMethodCallback<List<TNodeMemoryInfo>> resultHandler)
                    throws org.apache.thrift.TException

Specified by:
  `get_memory` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### clear_cpu_memory

    public void clear_cpu_memory​(String session,
                                 org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                          throws org.apache.thrift.TException

Specified by:
  `clear_cpu_memory` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### clear_gpu_memory

    public void clear_gpu_memory​(String session,
                                 org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                          throws org.apache.thrift.TException

Specified by:
  `clear_gpu_memory` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### set_table_epoch

    public void set_table_epoch​(String session,
                                int db_id,
                                int table_id,
                                int new_epoch,
                                org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                         throws org.apache.thrift.TException

Specified by:
  `set_table_epoch` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### set_table_epoch_by_name

    public void set_table_epoch_by_name​(String session,
                                        String table_name,
                                        int new_epoch,
                                        org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                                 throws org.apache.thrift.TException

Specified by:
  `set_table_epoch_by_name` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_table_epoch

    public void get_table_epoch​(String session,
                                int db_id,
                                int table_id,
                                org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)
                         throws org.apache.thrift.TException

Specified by:
  `get_table_epoch` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_table_epoch_by_name

    public void get_table_epoch_by_name​(String session,
                                        String table_name,
                                        org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)
                                 throws org.apache.thrift.TException

Specified by:
  `get_table_epoch_by_name` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_session_info

    public void get_session_info​(String session,
                                 org.apache.thrift.async.AsyncMethodCallback<TSessionInfo> resultHandler)
                          throws org.apache.thrift.TException

Specified by:
  `get_session_info` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### sql_execute

    public void sql_execute​(String session,
                            String query,
                            boolean column_format,
                            String nonce,
                            int first_n,
                            int at_most_n,
                            org.apache.thrift.async.AsyncMethodCallback<TQueryResult> resultHandler)
                     throws org.apache.thrift.TException

Specified by:
  `sql_execute` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### sql_execute_df

    public void sql_execute_df​(String session,
                               String query,
                               TDeviceType device_type,
                               int device_id,
                               int first_n,
                               org.apache.thrift.async.AsyncMethodCallback<TDataFrame> resultHandler)
                        throws org.apache.thrift.TException

Specified by:
  `sql_execute_df` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### sql_execute_gdf

    public void sql_execute_gdf​(String session,
                                String query,
                                int device_id,
                                int first_n,
                                org.apache.thrift.async.AsyncMethodCallback<TDataFrame> resultHandler)
                         throws org.apache.thrift.TException

Specified by:
  `sql_execute_gdf` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### deallocate_df

    public void deallocate_df​(String session,
                              TDataFrame df,
                              TDeviceType device_type,
                              int device_id,
                              org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                       throws org.apache.thrift.TException

Specified by:
  `deallocate_df` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### interrupt

    public void interrupt​(String query_session,
                          String interrupt_session,
                          org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                   throws org.apache.thrift.TException

Specified by:
  `interrupt` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### sql_validate

    public void sql_validate​(String session,
                             String query,
                             org.apache.thrift.async.AsyncMethodCallback<List<TColumnType>> resultHandler)
                      throws org.apache.thrift.TException

Specified by:
  `sql_validate` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_completion_hints

    public void get_completion_hints​(String session,
                                     String sql,
                                     int cursor,
                                     org.apache.thrift.async.AsyncMethodCallback<List<TCompletionHint>> resultHandler)
                              throws org.apache.thrift.TException

Specified by:
  `get_completion_hints` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### set_execution_mode

    public void set_execution_mode​(String session,
                                   TExecuteMode mode,
                                   org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                            throws org.apache.thrift.TException

Specified by:
  `set_execution_mode` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### render_vega

    public void render_vega​(String session,
                            long widget_id,
                            String vega_json,
                            int compression_level,
                            String nonce,
                            org.apache.thrift.async.AsyncMethodCallback<TRenderResult> resultHandler)
                     throws org.apache.thrift.TException

Specified by:
  `render_vega` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_result_row_for_pixel

    public void get_result_row_for_pixel​(String session,
                                         long widget_id,
                                         TPixel pixel,
                                         Map<String,​List<String>> table_col_names,
                                         boolean column_format,
                                         int pixelRadius,
                                         String nonce,
                                         org.apache.thrift.async.AsyncMethodCallback<TPixelTableRowResult> resultHandler)
                                  throws org.apache.thrift.TException

Specified by:
  `get_result_row_for_pixel` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_dashboard

    public void get_dashboard​(String session,
                              int dashboard_id,
                              org.apache.thrift.async.AsyncMethodCallback<TDashboard> resultHandler)
                       throws org.apache.thrift.TException

Specified by:
  `get_dashboard` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_dashboards

    public void get_dashboards​(String session,
                               org.apache.thrift.async.AsyncMethodCallback<List<TDashboard>> resultHandler)
                        throws org.apache.thrift.TException

Specified by:
  `get_dashboards` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### create_dashboard

    public void create_dashboard​(String session,
                                 String dashboard_name,
                                 String dashboard_state,
                                 String image_hash,
                                 String dashboard_metadata,
                                 org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)
                          throws org.apache.thrift.TException

Specified by:
  `create_dashboard` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### replace_dashboard

    public void replace_dashboard​(String session,
                                  int dashboard_id,
                                  String dashboard_name,
                                  String dashboard_owner,
                                  String dashboard_state,
                                  String image_hash,
                                  String dashboard_metadata,
                                  org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                           throws org.apache.thrift.TException

Specified by:
  `replace_dashboard` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### delete_dashboard

    public void delete_dashboard​(String session,
                                 int dashboard_id,
                                 org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                          throws org.apache.thrift.TException

Specified by:
  `delete_dashboard` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### share_dashboards

    public void share_dashboards​(String session,
                                 List<Integer> dashboard_ids,
                                 List<String> groups,
                                 TDashboardPermissions permissions,
                                 org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                          throws org.apache.thrift.TException

Specified by:
  `share_dashboards` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### delete_dashboards

    public void delete_dashboards​(String session,
                                  List<Integer> dashboard_ids,
                                  org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                           throws org.apache.thrift.TException

Specified by:
  `delete_dashboards` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### share_dashboard

    public void share_dashboard​(String session,
                                int dashboard_id,
                                List<String> groups,
                                List<String> objects,
                                TDashboardPermissions permissions,
                                boolean grant_role,
                                org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                         throws org.apache.thrift.TException

Specified by:
  `share_dashboard` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### unshare_dashboard

    public void unshare_dashboard​(String session,
                                  int dashboard_id,
                                  List<String> groups,
                                  List<String> objects,
                                  TDashboardPermissions permissions,
                                  org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                           throws org.apache.thrift.TException

Specified by:
  `unshare_dashboard` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### unshare_dashboards

    public void unshare_dashboards​(String session,
                                   List<Integer> dashboard_ids,
                                   List<String> groups,
                                   TDashboardPermissions permissions,
                                   org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                            throws org.apache.thrift.TException

Specified by:
  `unshare_dashboards` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_dashboard_grantees

    public void get_dashboard_grantees​(String session,
                                       int dashboard_id,
                                       org.apache.thrift.async.AsyncMethodCallback<List<TDashboardGrantees>> resultHandler)
                                throws org.apache.thrift.TException

Specified by:
  `get_dashboard_grantees` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_link_view

    public void get_link_view​(String session,
                              String link,
                              org.apache.thrift.async.AsyncMethodCallback<TFrontendView> resultHandler)
                       throws org.apache.thrift.TException

Specified by:
  `get_link_view` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### create_link

    public void create_link​(String session,
                            String view_state,
                            String view_metadata,
                            org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
                     throws org.apache.thrift.TException

Specified by:
  `create_link` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### load_table_binary

    public void load_table_binary​(String session,
                                  String table_name,
                                  List<TRow> rows,
                                  org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                           throws org.apache.thrift.TException

Specified by:
  `load_table_binary` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### load_table_binary_columnar

    public void load_table_binary_columnar​(String session,
                                           String table_name,
                                           List<TColumn> cols,
                                           org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                                    throws org.apache.thrift.TException

Specified by:
  `load_table_binary_columnar` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### load_table_binary_arrow

    public void load_table_binary_arrow​(String session,
                                        String table_name,
                                        ByteBuffer arrow_stream,
                                        org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                                 throws org.apache.thrift.TException

Specified by:
  `load_table_binary_arrow` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### load_table

    public void load_table​(String session,
                           String table_name,
                           List<TStringRow> rows,
                           org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                    throws org.apache.thrift.TException

Specified by:
  `load_table` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### detect_column_types

    public void detect_column_types​(String session,
                                    String file_name,
                                    TCopyParams copy_params,
                                    org.apache.thrift.async.AsyncMethodCallback<TDetectResult> resultHandler)
                             throws org.apache.thrift.TException

Specified by:
  `detect_column_types` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### create_table

    public void create_table​(String session,
                             String table_name,
                             List<TColumnType> row_desc,
                             TFileType file_type,
                             TCreateParams create_params,
                             org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                      throws org.apache.thrift.TException

Specified by:
  `create_table` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### import_table

    public void import_table​(String session,
                             String table_name,
                             String file_name,
                             TCopyParams copy_params,
                             org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                      throws org.apache.thrift.TException

Specified by:
  `import_table` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### import_geo_table

    public void import_geo_table​(String session,
                                 String table_name,
                                 String file_name,
                                 TCopyParams copy_params,
                                 List<TColumnType> row_desc,
                                 TCreateParams create_params,
                                 org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                          throws org.apache.thrift.TException

Specified by:
  `import_geo_table` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### import_table_status

    public void import_table_status​(String session,
                                    String import_id,
                                    org.apache.thrift.async.AsyncMethodCallback<TImportStatus> resultHandler)
                             throws org.apache.thrift.TException

Specified by:
  `import_table_status` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_first_geo_file_in_archive

    public void get_first_geo_file_in_archive​(String session,
                                              String archive_path,
                                              TCopyParams copy_params,
                                              org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
                                       throws org.apache.thrift.TException

Specified by:
  `get_first_geo_file_in_archive` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_all_files_in_archive

    public void get_all_files_in_archive​(String session,
                                         String archive_path,
                                         TCopyParams copy_params,
                                         org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                                  throws org.apache.thrift.TException

Specified by:
  `get_all_files_in_archive` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_layers_in_geo_file

    public void get_layers_in_geo_file​(String session,
                                       String file_name,
                                       TCopyParams copy_params,
                                       org.apache.thrift.async.AsyncMethodCallback<List<TGeoFileLayerInfo>> resultHandler)
                                throws org.apache.thrift.TException

Specified by:
  `get_layers_in_geo_file` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### query_get_outer_fragment_count

    public void query_get_outer_fragment_count​(String session,
                                               String query,
                                               org.apache.thrift.async.AsyncMethodCallback<Long> resultHandler)
                                        throws org.apache.thrift.TException

Specified by:
  `query_get_outer_fragment_count` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### check_table_consistency

    public void check_table_consistency​(String session,
                                        int table_id,
                                        org.apache.thrift.async.AsyncMethodCallback<TTableMeta> resultHandler)
                                 throws org.apache.thrift.TException

Specified by:
  `check_table_consistency` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### start_query

    public void start_query​(String leaf_session,
                            String parent_session,
                            String query_ra,
                            boolean just_explain,
                            List<Long> outer_fragment_indices,
                            org.apache.thrift.async.AsyncMethodCallback<TPendingQuery> resultHandler)
                     throws org.apache.thrift.TException

Specified by:
  `start_query` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### execute_query_step

    public void execute_query_step​(TPendingQuery pending_query,
                                   org.apache.thrift.async.AsyncMethodCallback<TStepResult> resultHandler)
                            throws org.apache.thrift.TException

Specified by:
  `execute_query_step` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### broadcast_serialized_rows

    public void broadcast_serialized_rows​(TSerializedRows serialized_rows,
                                          List<TColumnType> row_desc,
                                          long query_id,
                                          org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                                   throws org.apache.thrift.TException

Specified by:
  `broadcast_serialized_rows` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### start_render_query

    public void start_render_query​(String session,
                                   long widget_id,
                                   short node_idx,
                                   String vega_json,
                                   org.apache.thrift.async.AsyncMethodCallback<TPendingRenderQuery> resultHandler)
                            throws org.apache.thrift.TException

Specified by:
  `start_render_query` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### execute_next_render_step

    public void execute_next_render_step​(TPendingRenderQuery pending_render,
                                         Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data,
                                         org.apache.thrift.async.AsyncMethodCallback<TRenderStepResult> resultHandler)
                                  throws org.apache.thrift.TException

Specified by:
  `execute_next_render_step` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### insert_data

    public void insert_data​(String session,
                            TInsertData insert_data,
                            org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                     throws org.apache.thrift.TException

Specified by:
  `insert_data` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### checkpoint

    public void checkpoint​(String session,
                           int db_id,
                           int table_id,
                           org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                    throws org.apache.thrift.TException

Specified by:
  `checkpoint` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_roles

    public void get_roles​(String session,
                          org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                   throws org.apache.thrift.TException

Specified by:
  `get_roles` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_db_objects_for_grantee

    public void get_db_objects_for_grantee​(String session,
                                           String roleName,
                                           org.apache.thrift.async.AsyncMethodCallback<List<TDBObject>> resultHandler)
                                    throws org.apache.thrift.TException

Specified by:
  `get_db_objects_for_grantee` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_db_object_privs

    public void get_db_object_privs​(String session,
                                    String objectName,
                                    TDBObjectType type,
                                    org.apache.thrift.async.AsyncMethodCallback<List<TDBObject>> resultHandler)
                             throws org.apache.thrift.TException

Specified by:
  `get_db_object_privs` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_all_roles_for_user

    public void get_all_roles_for_user​(String session,
                                       String userName,
                                       org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                                throws org.apache.thrift.TException

Specified by:
  `get_all_roles_for_user` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### has_role

    public void has_role​(String session,
                         String granteeName,
                         String roleName,
                         org.apache.thrift.async.AsyncMethodCallback<Boolean> resultHandler)
                  throws org.apache.thrift.TException

Specified by:
  `has_role` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### has_object_privilege

    public void has_object_privilege​(String session,
                                     String granteeName,
                                     String ObjectName,
                                     TDBObjectType objectType,
                                     TDBObjectPermissions permissions,
                                     org.apache.thrift.async.AsyncMethodCallback<Boolean> resultHandler)
                              throws org.apache.thrift.TException

Specified by:
  `has_object_privilege` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### set_license_key

    public void set_license_key​(String session,
                                String key,
                                String nonce,
                                org.apache.thrift.async.AsyncMethodCallback<TLicenseInfo> resultHandler)
                         throws org.apache.thrift.TException

Specified by:
  `set_license_key` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_license_claims

    public void get_license_claims​(String session,
                                   String nonce,
                                   org.apache.thrift.async.AsyncMethodCallback<TLicenseInfo> resultHandler)
                            throws org.apache.thrift.TException

Specified by:
  `get_license_claims` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### get_device_parameters

    public void get_device_parameters​(String session,
                                      org.apache.thrift.async.AsyncMethodCallback<Map<String,​String>> resultHandler)
                               throws org.apache.thrift.TException

Specified by:
  `get_device_parameters` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`

#### register_runtime_extension_functions

    public void register_runtime_extension_functions​(String session,
                                                     List<TUserDefinedFunction> udfs,
                                                     List<TUserDefinedTableFunction> udtfs,
                                                     Map<String,​String> device_ir_map,
                                                     org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                                              throws org.apache.thrift.TException

Specified by:
  `register_runtime_extension_functions` in interface `OmniSci.AsyncIface`
Throws:
  `org.apache.thrift.TException`